import { HTMLAttributes } from 'react';
import { ButtonOrLinkElement, ButtonOrLinkProps, TextProps } from '../../atoms';
export type LinkProps = {
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean;
} & ButtonOrLinkProps & HTMLAttributes<ButtonOrLinkElement>;
export declare const LinkBase: import("react").ForwardRefExoticComponent<(Omit<{
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
} & ButtonOrLinkProps.ClientLinkProps & HTMLAttributes<ButtonOrLinkElement>, "ref"> | Omit<{
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
} & ButtonOrLinkProps.ExternalLinkProps & HTMLAttributes<ButtonOrLinkElement>, "ref"> | Omit<{
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
} & ButtonOrLinkProps.ButtonProps & HTMLAttributes<ButtonOrLinkElement>, "ref">) & import("react").RefAttributes<ButtonOrLinkElement>>;
/**
 * `Link` v1.2
 *
 * A link (or button, if there is no `href` prop) that contains text and/or icon(s).
 *
 * Variant: `Link.Inline` (sets `display: inline` and the `underline` prop defaults to `true` instead of `false`)
 */
export declare const Link: import("react").ForwardRefExoticComponent<(Omit<{
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
} & ButtonOrLinkProps.ClientLinkProps & HTMLAttributes<ButtonOrLinkElement>, "ref"> | Omit<{
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
} & ButtonOrLinkProps.ExternalLinkProps & HTMLAttributes<ButtonOrLinkElement>, "ref"> | Omit<{
    /** Font weight. Inherited by default. */
    weight?: TextProps['weight'];
    /** Font size. Inherited by default. */
    size?: TextProps['size'];
    /** Whether there should be a purple underline below the text. */
    underline?: boolean | undefined;
} & ButtonOrLinkProps.ButtonProps & HTMLAttributes<ButtonOrLinkElement>, "ref">) & import("react").RefAttributes<ButtonOrLinkElement>> & {
    Inline: import("react").ForwardRefExoticComponent<(Omit<{
        /** Font weight. Inherited by default. */
        weight?: TextProps['weight'];
        /** Font size. Inherited by default. */
        size?: TextProps['size'];
        /** Whether there should be a purple underline below the text. */
        underline?: boolean | undefined;
    } & ButtonOrLinkProps.ClientLinkProps & HTMLAttributes<ButtonOrLinkElement>, "ref"> | Omit<{
        /** Font weight. Inherited by default. */
        weight?: TextProps['weight'];
        /** Font size. Inherited by default. */
        size?: TextProps['size'];
        /** Whether there should be a purple underline below the text. */
        underline?: boolean | undefined;
    } & ButtonOrLinkProps.ExternalLinkProps & HTMLAttributes<ButtonOrLinkElement>, "ref"> | Omit<{
        /** Font weight. Inherited by default. */
        weight?: TextProps['weight'];
        /** Font size. Inherited by default. */
        size?: TextProps['size'];
        /** Whether there should be a purple underline below the text. */
        underline?: boolean | undefined;
    } & ButtonOrLinkProps.ButtonProps & HTMLAttributes<ButtonOrLinkElement>, "ref">) & import("react").RefAttributes<ButtonOrLinkElement>>;
};
